Skip to main content
DELETE
/
users
/
{user_identifier}
Delete user
curl --request DELETE \
  --url https://int-api.mx.com/users/{user_identifier} \
  --header 'Accept: <accept>' \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_identifier}"

headers = {
"Accept-Version": "<accept-version>",
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
'Accept-Version': '<accept-version>',
Accept: '<accept>',
Authorization: 'Basic <encoded-value>'
}
};

fetch('https://int-api.mx.com/users/{user_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Use this endpoint to delete the specified user. The response will have a status of 204 No Content without an object.
Deleting a user is permanent. Deleted users can never be restored. For more info, see Deleting Objects.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Accept
string
required

Specifies the media type expected in the response.

Example:

"application/json"

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Response

204

No Content